# Type alias Implementation

Implementation: {
getBlock: ((cid: CID) => Promise<Uint8Array>);
getUnixDirectory: ((cid: CID) => Promise<DirectoryItem[]>);
getUnixFile: ((cid: CID) => Promise<Uint8Array>);
putBlock: ((data: Uint8Array, codec: CodecIdentifier) => Promise<CID>);
putChunked: ((data: Uint8Array) => Promise<PutResult>);
size: ((cid: CID) => Promise<number>);
}

#### Type declaration

- ##### getBlock: ((cid: CID) => Promise<Uint8Array>)

  - - (cid: CID): Promise<Uint8Array>

    - #### Parameters

      - ##### cid: CID

      #### Returns Promise<Uint8Array>

- ##### getUnixDirectory: ((cid: CID) => Promise<DirectoryItem[]>)

  - - (cid: CID): Promise<DirectoryItem[]>

    - #### Parameters

      - ##### cid: CID

      #### Returns Promise<DirectoryItem[]>

- ##### getUnixFile: ((cid: CID) => Promise<Uint8Array>)

  - - (cid: CID): Promise<Uint8Array>

    - #### Parameters

      - ##### cid: CID

      #### Returns Promise<Uint8Array>

- ##### putBlock: ((data: Uint8Array, codec: CodecIdentifier) => Promise<CID>)

  - - (data: Uint8Array, codec: CodecIdentifier): Promise<CID>

    - #### Parameters

      - ##### data: Uint8Array

      - ##### codec: CodecIdentifier

      #### Returns Promise<CID>

- ##### putChunked: ((data: Uint8Array) => Promise<PutResult>)

  - - (data: Uint8Array): Promise<PutResult>

    - #### Parameters

      - ##### data: Uint8Array

      #### Returns Promise<PutResult>

- ##### size: ((cid: CID) => Promise<number>)

  - - (cid: CID): Promise<number>

    - #### Parameters

      - ##### cid: CID

      #### Returns Promise<number>

- Defined in components/depot/implementation.ts:5

Generated using TypeDoc